%define upstream_name    DateTime-Format-ICal
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Parse and format iCal datetime and duration strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Event::ICal)
BuildRequires: perl(DateTime::Set)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module understands the ICal date/time and duration formats, as defined
in RFC 2445. It can be used to parse these formats in order to create the
appropriate objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-9.mga8
+ Revision: 1493854
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-8.mga7
+ Revision: 1267034
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1025123
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 930428
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 747002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 684277
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 510744
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 365607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 38289
- mageia rebuild
- imported package perl-DateTime-Format-ICal


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.90.0-1mdv2010.1
+ Revision: 542995
- import perl-DateTime-Format-ICal


* Thu May 06 2010 cpan2dist 0.09-1mdv
- initial mdv release, generated with cpan2dist
